Installation échoue mysqli_sql_exception: Table 'spip_git.spip_mots_articles' doesn't exist

Ajourdhui c’est pas mon jour de gloire

Fatal error: Uncaught mysqli_sql_exception: Table ‹ spip.spip_mots_articles › doesn’t exist in /usr/local/var/www/spip/ecrire/req/mysql.php:245 Stack trace: #0 /usr/local/var/www/spip/ecrire/req/mysql.php(245): mysqli_query(Object(mysqli), ‹ SHOW CREATE TAB… ›) #1 /usr/local/var/www/spip/ecrire/req/mysql.php(890): spip_mysql_query(‹ SHOW CREATE TAB… ›, ‹  ›, true) #2 /usr/local/var/www/spip/ecrire/base/abstract_sql.php(1228): spip_mysql_showtable(‹ spip_mots_artic… ›, ‹  ›, true) #3 /usr/local/var/www/spip/ecrire/base/trouver_table.php(154): sql_showtable(‹ spip_mots_artic… ›, true, ‹  ›) #4 /usr/local/var/www/spip/plugins-dist/mots/mots_administrations.php(42): base_trouver_table_dist(‹ spip_mots_artic… ›) #5 /usr/local/var/www/spip/ecrire/plugins/installer.php(172): mots_upgrade(‹ mots_base_versi… ›, ‹ 2.1.1 ›, ‹ meta ›) #6 /usr/local/var/www/spip/ecrire/plugins/installer.php(126): spip_plugin_install(‹ install ›, Array, ‹ 2.1.1 ›) #7 /usr/local/var/www/spip/ecrire/inc/plugin.php(1412): plugins_installer_dist(‹ mots ›, ‹ install ›, ‹ _DIR_PLUGINS_DI… ›) #8 /usr/local/var/www/spip/ecrire/install/etape_4.php(66): plugin_installes_meta() #9 /usr/local/var/www/spip/ecrire/exec/install.php(66): install_etape_4_dist() #10 /usr/local/var/www/spip/ecrire/index.php(169): exec_install_dist() #11 {main} thrown in /usr/local/var/www/spip/ecrire/req/mysql.php on line 245

Server API FPM/FastCGI

Configuration File (php.ini) Path /usr/local/etc/php/8.1

MysqlI Support enabled
Client API library version mysqlnd 8.1.0

mysql/8.0.22_1

Tu parles ! C’est n’est pas SPIP le problème. Le problème c’est encore moi qui pollue la liste avec mes conneries

Pas la peine de publier ce thread. Je crois qu’il faudrait me blacklister

Ajourdhui c’est pas mon jour de gloire

Fatal error: Uncaught mysqli_sql_exception: Table ‹ spip.spip_mots_articles › doesn’t exist in /usr/local/var/www/spip/ecrire/req/mysql.php:245 Stack trace: #0 /usr/local/var/www/spip/ecrire/req/mysql.php(245): mysqli_query(Object(mysqli), ‹ SHOW CREATE TAB… ›) #1 /usr/local/var/www/spip/ecrire/req/mysql.php(890): spip_mysql_query(‹ SHOW CREATE TAB… ›, ‹  ›, true) #2 /usr/local/var/www/spip/ecrire/base/abstract_sql.php(1228): spip_mysql_showtable(‹ spip_mots_artic… ›, ‹  ›, true) #3 /usr/local/var/www/spip/ecrire/base/trouver_table.php(154): sql_showtable(‹ spip_mots_artic… ›, true, ‹  ›) #4 /usr/local/var/www/spip/plugins-dist/mots/mots_administrations.php(42): base_trouver_table_dist(‹ spip_mots_artic… ›) #5 /usr/local/var/www/spip/ecrire/plugins/installer.php(172): mots_upgrade(‹ mots_base_versi… ›, ‹ 2.1.1 ›, ‹ meta ›) #6 /usr/local/var/www/spip/ecrire/plugins/installer.php(126): spip_plugin_install(‹ install ›, Array, ‹ 2.1.1 ›) #7 /usr/local/var/www/spip/ecrire/inc/plugin.php(1412): plugins_installer_dist(‹ mots ›, ‹ install ›, ‹ _DIR_PLUGINS_DI… ›) #8 /usr/local/var/www/spip/ecrire/install/etape_4.php(66): plugin_installes_meta() #9 /usr/local/var/www/spip/ecrire/exec/install.php(66): install_etape_4_dist() #10 /usr/local/var/www/spip/ecrire/index.php(169): exec_install_dist() #11 {main} thrown in /usr/local/var/www/spip/ecrire/req/mysql.php on line 245

Server API FPM/FastCGI

Configuration File (php.ini) Path /usr/local/etc/php/8.1

MysqlI Support enabled
Client API library version mysqlnd 8.1.0

mysql/8.0.22_1

On n’ira pas jusque là, mais par contre ça serait vraiment sympa que tu ne crées pas un nouveau fil à chacun de tes posts car ça me demande de déplacer ta réponse dans le fil original… Merci d’avance :slight_smile:

Tu m’avais dit ça et j’avais cherché sans succès. Là je réponds sur discuter.spip.net. Le problème c’est avec Thunderbird (enfin, non, le problème ça doit être l’âge). Je vais chercher, promis.

SPIP 4.0 n’est pas compatible avec PHP 8.1 : c’est ça ton erreur là.

On va corriger pour PHP 8.1 dans le futur SPIP 4.1…

1 J'aime